Subject: Re: [bitcoindev] Re: Adding New BIP Editors

From: Antoine Riard <[email-masked]>
Date: Thu, 28 Mar 2024 19:42:15 +0000

Hi all,

On the timeframe of the new appointment of new BIP editors, I would suggest
to postpone the effective date to the 1st May or after.

There is a CoreDev edition happening in April and it's better to not
conflict the appointment of new BIP editors with any of the CoreDev dates
by transparency towards the wider community.
This avoids last-minute "Hong-Kong Agreement" decision-making-style and
anyone present in the room with the GH administrative rights on the BIP
repository making the change in a "fait accompli".

On all the other concerns, I think it's still better to split the
administrative rights between 1) editors who can merge and 2)
"product-management" style privileges for PR / issues sorting.
I think it's good to let technical relevance of the proposal be appreciated
by the wider community, marking them as "rejected" if necessary.

As new BIP editors, I'm supporting the following list:
- Kanzure (great responsiveness in my experience)
- Ruben (very knowledgeable in all part of Bitcoin stack)
- Roasbeef (i think it's good to have someone for all inter-compatibility
clients things)
- Murch (top bitcoin stackoverflow contributor)
- Jon Atack (much experience with bitcoin core codebase and great
responsiveness too)

As new BIP "decentralized PM", I'm supporting the following list:
- Seccour

I don't know the Bitcoin technical credentials of Greg Tonoski.

I think a good thing is to have not-only US-based BIP editors for higher
timezones coverage and BIP process responsiveness.

Best,
Antoine

Le jeu. 28 mars 2024 à 16:16, Brandon Black <[email-masked]> a
écrit :

> I agree with Matt's suggestions, and also support Jon Atack as a BIP
> editor.
>
> * Jon's work in bitcoin has focused on practical concerns of users of
> the bitcoin software, a valuable perspective for the BIP process as
> well. He's been a steady contributor to the bitcoin node software for 4
> continuous years, this steadiness would be a boon to the BIP process.
>
> Best,
>
> --Brandon
>
> On 2024-03-27 (Wed) at 19:54:53 -0400, Matt Corallo wrote:
> > Seems reasonable to me.
> >
> > While there are plenty of competent technical folks who would make fine
> BIP
> > editors, I'd suggest Kanzure and Murch as clear candidates over others:
> >
> >  * Kanzure has been around for longer than any other candidate as far as
> I
> > can tell, and has certainly seen more proposals for changes to Bitcoin
> than
> > anyone. This makes him a great candidate to point new BIP authors to
> > appropriate citations. Similarly, he has a long history of being very
> > responsive, which I believe is part of the goal in appointing new editors
> > here.
> >  * Murch similarly has lots of experience dealing with lots of various
> ideas
> > around Bitcoin, but importantly here also has worked extensively to
> document
> > appropriate terminology for all things Bitcoin [1]. This makes him an
> > excellent copy editor of Bitcoin technical proposals, which is basically
> the
> > only thing the BIP editors are supposed to do.
> >
> > While there are a handful of other candidates mentioned in this thread
> who
> > are technically quite competent, that isn't really the relevant criteria
> for
> > BIP editors.
> >
> > Matt
> >
> > [1] https://github.com/murchandamus/bips/pull/1/files
>
> --
> You received this message because you are subscribed to a topic in the
> Google Groups "Bitcoin Development Mailing List" group.
> To unsubscribe from this topic, visit
> https://groups.google.com/d/topic/bitcoindev/cuMZ77KEQAA/unsubscribe.
> To unsubscribe from this group and all its topics, send an email to
> [email-masked].
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/bitcoindev/ZgWRu32FXzqqg69V%40console.
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/CALZpt%2BE8DohYEJ9aO%2BFiF6%2BEKMCP5oEbHSKSXpq0VKVBhJLhrw%40mail.gmail.com.